For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Lists all User objects associated with the Memori of the current session.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Responses
200

Success

application/json

Response of a List Users request.

countinteger · int32Optional

Total number of User objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/Users/{strSessionID}
GET /memori/v2/Users/{strSessionID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "users": [
    {
      "userID": "text",
      "externalUserID": "text",
      "userName": "text",
      "tenantName": "text",
      "email": "text",
      "disableDeepThought": true,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists User objects associated with the Memori of the current session, with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

frominteger · int32Required

The 0-based index of the first User to list

howManyinteger · int32Required

The number of User objects to list

Responses
200

Success

application/json

Response of a List Users request.

countinteger · int32Optional

Total number of User objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/Users/{strSessionID}/{from}/{howMany}
GET /memori/v2/Users/{strSessionID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "users": [
    {
      "userID": "text",
      "externalUserID": "text",
      "userName": "text",
      "tenantName": "text",
      "email": "text",
      "disableDeepThought": true,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets the details of a User object.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strUserIDstringRequired

The User object ID

Responses
200

Success

application/json

Response of a Get User request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/User/{strSessionID}/{strUserID}
GET /memori/v2/User/{strSessionID}/{strUserID} HTTP/1.1
Accept: */*
200

Success

{
  "user": {
    "userID": "text",
    "externalUserID": "text",
    "userName": "text",
    "tenantName": "text",
    "email": "text",
    "disableDeepThought": true,
    "creationTimestamp": "2026-01-01T00:00:00.000Z",
    "creationSessionID": "text",
    "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
    "lastChangeSessionID": "text"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists all Topic objects referenced by a specified User object.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strUserIDstringRequired

The User object ID

Responses
200

Success

application/json

Response of a List Topics request.

countinteger · int32Optional

Total number of Topic objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/UserTopics/{strSessionID}/{strUserID}
GET /memori/v2/UserTopics/{strSessionID}/{strUserID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "topics": [
    {
      "topicID": "text",
      "name": "text",
      "weight": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists Topic objects referenced by a specified User object, with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strUserIDstringRequired

The User object ID

frominteger · int32Required

The 0-based index of the first Topic object to list

howManyinteger · int32Required

The number of Topic objects to list

Responses
200

Success

application/json

Response of a List Topics request.

countinteger · int32Optional

Total number of Topic objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/UserTopics/{strSessionID}/{strUserID}/{from}/{howMany}
GET /memori/v2/UserTopics/{strSessionID}/{strUserID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "topics": [
    {
      "topicID": "text",
      "name": "text",
      "weight": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists all Known Facts objects associated with the current User.

get
Path parameters
strSessionIDstringRequired

The session ID

Responses
200

Success

application/json

Response of a List Known Facts request.

countinteger · int32Optional

Total number of Known Fact objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/KnownFacts/{strSessionID}
GET /memori/v2/KnownFacts/{strSessionID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "knownFacts": [
    {
      "knownFactID": "text",
      "knownFactType": "text",
      "text": "text",
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists Known Facts objects associated with the current User, with pagination.

get
Path parameters
strSessionIDstringRequired

The session ID

frominteger · int32Required

The 0-based index of the first Known Fact to list

howManyinteger · int32Required

The number of Known Fact objects to list

Responses
200

Success

application/json

Response of a List Known Facts request.

countinteger · int32Optional

Total number of Known Fact objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/KnownFacts/{strSessionID}/{from}/{howMany}
GET /memori/v2/KnownFacts/{strSessionID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "knownFacts": [
    {
      "knownFactID": "text",
      "knownFactType": "text",
      "text": "text",
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets the details of a Known Fact object.

get
Path parameters
strSessionIDstringRequired

The session ID

strKnownFactIDstringRequired

The Known Fact object ID

Responses
200

Success

application/json

Response of a Get Known Fact request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/KnownFact/{strSessionID}/{strKnownFactID}
GET /memori/v2/KnownFact/{strSessionID}/{strKnownFactID} HTTP/1.1
Accept: */*
200

Success

{
  "knownFact": {
    "knownFactID": "text",
    "knownFactType": "text",
    "text": "text",
    "creationTimestamp": "2026-01-01T00:00:00.000Z",
    "creationSessionID": "text",
    "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
    "lastChangeSessionID": "text"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Deletes an existing Known Fact object.

delete
Path parameters
strSessionIDstringRequired

The session ID

strKnownFactIDstringRequired

The Known Fact object ID

Responses
200

Success

application/json

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

delete/memori/v2/KnownFact/{strSessionID}/{strKnownFactID}
DELETE /memori/v2/KnownFact/{strSessionID}/{strKnownFactID} HTTP/1.1
Accept: */*
200

Success

{
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Ultimo aggiornamento